# Interface TimelineState

A timeline state object is an object with a specific interface that details the playback state of an SSAI stream at any point in the absolute timeline.

The "absolute time" refers to a point in the complete timeline of a stream (with both ads and content included). The term "content time" refers to the time relative to the current content (either ad or content).

interface TimelineState {
absoluteDuration: number;
absoluteTime: number;
linearAd: null | LinearAd;
linearAdRoll: null | LinearAdRoll;
relativeDuration: number;
relativeTime: number;
}

#####
Index

### Properties

absoluteDuration
absoluteTime
linearAd
linearAdRoll
relativeDuration
relativeTime

## Properties

### absoluteDuration

absoluteDuration: number

The absolute duration of the stream.

### absoluteTime

absoluteTime: number

The absolute time in the stream.

### linearAd

linearAd: null | LinearAd

### linearAdRoll

linearAdRoll: null | LinearAdRoll

### relativeDuration

relativeDuration: number

The duration of the current linear ad or the content itself.

### relativeTime

relativeTime: number

The time in the stream relative either to the current linear ad or to the content itself.